std::cyl_bessel_k,std::cyl_bessel_kf,std::cyl_bessel_kl(3)

NAME
std::cyl_bessel_k,std::cyl_bessel_kf,std::cyl_bessel_kl - std::cyl_bessel_k,std::cyl_bessel_kf,std::cyl_bessel_kl

Synopsis
   Defined in header <cmath>
   double cyl_bessel_k( double ν, double x );
   float cyl_bessel_kf( float ν, float x ); (1) (since C++17)
   long double cyl_bessel_kl( long double ν, long double x );
   Promoted cyl_bessel_k( Arithmetic ν, Arithmetic x ); (2) (since C++17)
   1) Computes the irregular modified cylindrical Bessel function (also known as
   modified Bessel function of the second kind) of ν and x.
   2) A set of overloads or a function template for all combinations of arguments of
   arithmetic type not covered by (1). If any argument has integral type, it is cast to
   double. If any argument is long double, then the return type Promoted is also long
   double, otherwise the return type is always double.

Parameters
   ν - the order of the function
   x - the argument of the function

Return value
   If no errors occur, value of the irregular modified cylindrical Bessel function
   (modified Bessel function of the second kind) of ν and x, is returned, that is K
   ν(x) =
   π
   2
   I
   -ν(x)-I
   ν(x)
   sin(νπ)
   (where I
   ν(x) is std::cyl_bessel_i(ν,x)) for x≥0 and non-integer ν; for integer ν a
   limit is used.

Error handling
   Errors may be reported as specified in math_errhandling:
     * If the argument is NaN, NaN is returned and domain error is not reported
     * If ν>=128, the behavior is implementation-defined

Notes
   Implementations that do not support C++17, but support ISO 29124:2010, provide this
   function if __STDCPP_MATH_SPEC_FUNCS__ is defined by the implementation to a value
   at least 201003L and if the user defines __STDCPP_WANT_MATH_SPEC_FUNCS__ before
   including any standard library headers.
   Implementations that do not support ISO 29124:2010 but support TR 19768:2007 (TR1),
   provide this function in the header tr1/cmath and namespace std::tr1.
   An implementation of this function is also available in boost.math

Example
// Run this code
 #include <cmath>
 #include <iostream>
 int main()
 {
     double pi = std::acos(-1);
     double x = 1.2345;
     // spot check for ν == 0.5
     std::cout << "K_.5(" << x << ") = " << std::cyl_bessel_k( .5, x) << '\n'
               << "calculated via I = " <<
               (pi/2)*(std::cyl_bessel_i(-.5,x)
                      -std::cyl_bessel_i(.5,x))/std::sin(.5*pi) << '\n';
 }

Output:
 K_.5(1.2345) = 0.32823
 calculated via I = 0.32823

See also
   cyl_bessel_i
   cyl_bessel_if
   cyl_bessel_il regular modified cylindrical Bessel functions
   (C++17) (function)
   (C++17)
   (C++17)
   cyl_bessel_j
   cyl_bessel_jf
   cyl_bessel_jl cylindrical Bessel functions (of the first kind)
   (C++17) (function)
   (C++17)
   (C++17)

External links
   Weisstein, Eric W. "Modified Bessel Function of the Second Kind." From MathWorld —
   A Wolfram Web Resource.